%global momorel 1

Summary: HardWare LiSter
Name: lshw
Version: B.02.08.01
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/ezix/%{name}-%{version}.tar.gz 57c1bb0fec3543641c389726a8844307
URL: http://ezix.sourceforge.net/software/lshw.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ >= 3.4.1-1m

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton on
the hardware configuration of the machine. It can report exact memory
configuration, firmware version, mainboard configuration, CPU version
and speed, cache configuration, bus speed, etc. on DMI-capable x86
systems and on some PowerPC machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

For detailed information on lshw features and usage, please see the
included documentation or go to the lshw Web page,
http://www.ezix.org/software/lshw.html

%package gui
Summary: HardWare LiSter (GUI version)
Group: Applications/System
Requires: %{name}
Requires: gtk+
BuildRequires: gtk+-devel

%description gui
GTK+ frontend for lshw (Hardware Lister).

%prep
%setup -q

%build
perl -p -i -e "s,-g -Wall -Os,%{optflags}," `find . -name Makefile`
make all gui

%install
make install DESTDIR=%{buildroot}
make install-gui DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README docs
%{_sbindir}/lshw
%{_mandir}/man?/*
%{_datadir}/lshw

%files gui
%defattr(-,root,root)
%{_sbindir}/gtk-lshw

%changelog
* Mon Jul 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (B.02.08.01-1m)
- version up B.02.08.01

* Mon Dec 19 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.06-1m)
- minor feature enhancements
- remove 'lshw-B.02.03-gcc4.patch' that is no longer needed

* Wed Nov  8 2005 yohsuke Ooi <meke@momonga-linux.org>
- (B.02.03-2m)
- add gcc4 patch
- Patch0: lshw-B.02.03-gcc4.patch

* Sat Feb  5 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.03-1)
- minor feature enhancements

* Sat Jan 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.02-1m)
- minor bugfixes

* Mon Jan 10 2005 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.01-1m)
- minor feature enhancements

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (B.02.00-1m)
- add a GTK+ GUI

* Wed Dec  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.09-1m)
- major feature enhancements

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (A.01.08-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Sep  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.08-1m)
- minor feature enhancements

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.07-1m)
- minor bugfixes

* Fri Feb 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (A.01.06-1m)
- minor feature enhancements

* Mon Dec 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (A.01.05-1m)
- update to A.01.05

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (A.01.00-1m)
  update to A.01.00

* Fri Mar 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (T.00.07-1m)

* Sat Feb 15 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (T.00.06-1m)
  update to T.00.06

* Mon Feb 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (T.00.05-1m)
  imported
